/*
 * Copyright (C) 2017 Saxon State and University Library Dresden (SLUB)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package de.slub.urn;

import org.junit.Test;

import java.net.URI;
import java.net.URISyntaxException;

public class RFC2141ParserTest extends URNParserTest {

    @Test(expected = URNSyntaxError.class)
    public void Invalid_NID_part_in_URI_throws_exception() throws URISyntaxException, URNSyntaxError {
        getURNParser().parse(new URI("urn:!?:1234"));
    }

    @Override
    URNParser<URN_2141> getURNParser() {
        return URN.rfc2141();
    }
}
